Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class StaticMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.StaticMetaClassSite

    public class StaticMetaClassSite
    extends MetaClassSite

Call site for invoking static methods meta class - cached method - not cached

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`StaticMetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object[] args)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticMetaClassSite

    public StaticMetaClassSite(CallSite site, MetaClass metaClass)

Method Detail

### call

    public final java.lang.Object call(java.lang.Object receiver, java.lang.Object[] args)

### callStatic

    public final java.lang.Object callStatic(java.lang.Class receiver, java.lang.Object[] args)

Groovy Documentation